## org.eclipse.datatools.connectivity.sqm.core.rte.fe
Class GenericDdlScript

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlScript

public class GenericDdlScript
extends java.lang.Object

Constructor Summary
`GenericDdlScript()`

Method Summary
`void` `addAlterTableAddConstraintStatement(java.lang.String statement)`
`void` `addAlterTableAddForeignKeyStatement(java.lang.String statement)`
`void` `addAlterTableDropConstraintStatement(java.lang.String statement)`
`void` `addAlterTableDropForeignKeyStatement(java.lang.String statement)`
`void` `addAlterTableStatement(java.lang.String statement)`
`void` `addCreateAssertionStatement(java.lang.String statement)`
`void` `addCreateIndexStatement(java.lang.String statement)`
`void` `addCreateSchemaStatement(java.lang.String statement)`
`void` `addCreateStoredProcedureStatement(java.lang.String statement)`
`void` `addCreateTableStatement(java.lang.String statement)`
`void` `addCreateTriggerStatement(java.lang.String statement)`
`void` `addCreateUserDefinedFunctionStatement(java.lang.String statement)`
`void` `addCreateUserDefinedTypeStatement(java.lang.String statement)`
`void` `addCreateViewStatement(java.lang.String statement)`
`void` `addDropAssertionStatement(java.lang.String statement)`
`void` `addDropIndexStatement(java.lang.String statement)`
`void` `addDropSchemaStatement(java.lang.String statement)`
`void` `addDropStoredProcedureStatement(java.lang.String statement)`
`void` `addDropTableStatement(java.lang.String statement)`
`void` `addDropTriggerStatement(java.lang.String statement)`
`void` `addDropUserDefinedFunctionStatement(java.lang.String statement)`
`void` `addDropUserDefinedTypeStatement(java.lang.String statement)`
`void` `addDropViewStatement(java.lang.String statement)`
`java.lang.String[]` `getStatements()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDdlScript

    public GenericDdlScript()

Method Detail

### addDropTableStatement

    public void addDropTableStatement(java.lang.String statement)

### addCreateTableStatement

    public void addCreateTableStatement(java.lang.String statement)

### addAlterTableStatement

    public void addAlterTableStatement(java.lang.String statement)

### addDropViewStatement

    public void addDropViewStatement(java.lang.String statement)

### addCreateViewStatement

    public void addCreateViewStatement(java.lang.String statement)

### addAlterTableDropForeignKeyStatement

    public void addAlterTableDropForeignKeyStatement(java.lang.String statement)

### addAlterTableAddForeignKeyStatement

    public void addAlterTableAddForeignKeyStatement(java.lang.String statement)

### addDropIndexStatement

    public void addDropIndexStatement(java.lang.String statement)

### addCreateIndexStatement

    public void addCreateIndexStatement(java.lang.String statement)

### addDropTriggerStatement

    public void addDropTriggerStatement(java.lang.String statement)

### addCreateTriggerStatement

    public void addCreateTriggerStatement(java.lang.String statement)

### addAlterTableDropConstraintStatement

    public void addAlterTableDropConstraintStatement(java.lang.String statement)

### addAlterTableAddConstraintStatement

    public void addAlterTableAddConstraintStatement(java.lang.String statement)

### addCreateStoredProcedureStatement

    public void addCreateStoredProcedureStatement(java.lang.String statement)

### addDropStoredProcedureStatement

    public void addDropStoredProcedureStatement(java.lang.String statement)

### addCreateUserDefinedFunctionStatement

    public void addCreateUserDefinedFunctionStatement(java.lang.String statement)

### addDropUserDefinedFunctionStatement

    public void addDropUserDefinedFunctionStatement(java.lang.String statement)

### addCreateSchemaStatement

    public void addCreateSchemaStatement(java.lang.String statement)

### addDropSchemaStatement

    public void addDropSchemaStatement(java.lang.String statement)

### addCreateUserDefinedTypeStatement

    public void addCreateUserDefinedTypeStatement(java.lang.String statement)

### addDropUserDefinedTypeStatement

    public void addDropUserDefinedTypeStatement(java.lang.String statement)

### addCreateAssertionStatement

    public void addCreateAssertionStatement(java.lang.String statement)

### addDropAssertionStatement

    public void addDropAssertionStatement(java.lang.String statement)

### getStatements

    public java.lang.String[] getStatements()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.